NTSecApi.LSA_FOREST_TRUST_RECORD.UNION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: NTSecApi, class: LSA_FOREST_TRUST_RECORD, class: UNION

Package com.sun.jna.platform.win32

# Class NTSecApi.LSA_FOREST_TRUST_RECORD.UNION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD.UNION

Direct Known Subclasses:
  `NTSecApi.LSA_FOREST_TRUST_RECORD.UNION.ByReference`

Enclosing class:
  NTSecApi.LSA_FOREST_TRUST_RECORD

public static class NTSecApi.LSA_FOREST_TRUST_RECORD.UNION extends Union

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NTSecApi.LSA_FOREST_TRUST_RECORD.UNION.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `NTSecApi.LSA_FOREST_TRUST_BINARY_DATA`
  `Data`
  `NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO`
  `DomainInfo`
  `NTSecApi.LSA_UNICODE_STRING`
  `TopLevelName`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UNION()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TopLevelName

    public NTSecApi.LSA_UNICODE_STRING TopLevelName

  - ### DomainInfo

    public NTSecApi.LSA_FOREST_TRUST_DOMAIN_INFO DomainInfo

  - ### Data

    public NTSecApi.LSA_FOREST_TRUST_BINARY_DATA Data

- ## Constructor Details

  - ### UNION

    public UNION()